unit tabset;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TTabsForm = class(TForm)
    Edit1: TEdit;
    lbTabs: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    UpDown1: TUpDown;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    procedure ReadCurrentTabs;
  public
    { Public declarations }
  end;

var
  TabsForm: TTabsForm;

implementation

uses Sdimain;

{$R *.DFM}

procedure TTabsForm.ReadCurrentTabs;
var
  Counter: integer;
begin
  with lbTabs do
  begin
    Items.Clear;
    for Counter := 0 to SDIAppForm.AMMemo1.TabStops.TabCount -1 do
    begin
      Items.Add(IntToStr(SDIAppForm.AMMemo1.TabStops.TabStops[Counter]));
    end;
  end;
end;

procedure TTabsForm.FormCreate(Sender: TObject);
begin
  ReadCurrentTabs;
end;

procedure TTabsForm.Button1Click(Sender: TObject);
begin
  SDIAppForm.AMMemo1.TabStops.AddTab(StrToInt(Edit1.Text));
  ReadCurrentTabs;
  Edit1.SetFocus;
  Edit1.SelectAll;
end;

procedure TTabsForm.Button2Click(Sender: TObject);
var
  Counter: integer;
begin
  for Counter := 0 to lbTabs.Items.Count - 1 do
  begin
    if lbTabs.Selected[Counter] then break;
  end;
  SDIAppForm.AMMemo1.TabStops.DeleteTab(StrToInt(lbTabs.Items[counter]));
  ReadCurrentTabs;
end;

end.
